> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 체크아웃 결과 조회

> 웹사이트 성공 또는 취소 페이지용 경량 체크아웃 결과 페이로드를 반환합니다.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ko.json GET /v1/public/accounts/{account_id}/billing/checkout/result
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/billing/checkout/result:
    get:
      tags:
        - public-accounts
      summary: 체크아웃 결과 조회
      description: 웹사이트 성공 또는 취소 페이지용 경량 체크아웃 결과 페이로드를 반환합니다.
      operationId: >-
        get_checkout_result_v1_public_accounts__account_id__billing_checkout_result_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: plan_key
          required: true
          schema:
            title: Plan Key
            type: string
        - in: query
          name: checkout_token
          required: true
          schema:
            title: Checkout Token
            type: string
        - in: query
          name: hosted_page_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Hosted Page Id
        - in: query
          name: status_hint
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status Hint
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckoutResultResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
components:
  schemas:
    CheckoutResultResponse:
      properties:
        account:
          $ref: '#/components/schemas/AccountSummaryResponse'
          description: Checkout 계정 요약
        auth_required_for_dashboard:
          anyOf:
            - type: boolean
            - type: 'null'
          description: 대시보드 액세스에 인증이 필요한지 여부
          title: 대시보드에 인증 필요
        checkout_token:
          description: Checkout 연속 토큰
          title: 체크아웃 토큰
          type: string
        dashboard_url:
          anyOf:
            - type: string
            - type: 'null'
          description: 계정의 대시보드 URL
          title: 대시보드 URL
        message:
          description: 결제 결과 메시지
          title: 메시지
          type: string
        plan_key:
          description: 선택한 요금제 키
          enum:
            - smtp_per_mailbox
            - smtp_per_proxy
          title: 플랜 키
          type: string
        status:
          description: 결제 결과 상태
          title: 상태
          type: string
      required:
        - plan_key
        - status
        - message
        - account
        - checkout_token
      title: CheckoutResultResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 세부 정보
          type: array
      title: HTTP검증 오류
      type: object
    AccountSummaryResponse:
      description: 웹사이트에 반환되는 안전한 계정 요약.
      properties:
        account_id:
          description: 계정 UUID
          title: 계정 Id
          type: string
        chargebee_subscription_status:
          anyOf:
            - type: string
            - type: 'null'
          description: Chargebee 구독 상태
          title: Chargebee 구독 상태
        currency:
          description: 청구 통화 코드
          title: 통화
          type: string
      required:
        - account_id
        - currency
      title: AccountSummaryResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 위치
          type: array
        msg:
          title: 메시지
          type: string
        type:
          title: 오류 유형
          type: string
      required:
        - loc
        - msg
        - type
      title: 검증 오류
      type: object

````